脚本执行错误---binsh^M:损坏的解释器 没有那个文件或目录

在执行脚本时,弹出错误提示:

/bin/sh^M:损坏的解释器: 没有那个文件或目录
  • 1

这是由于脚本文件在保存时使用了DOS文件格式造成的,可以用vim打开文件,然后执行下列操作:

:set ff=unix
:wq
  • 1
  • 2

在windows下面编辑脚本,经常会碰到各种各样的坑,因此不推荐在windows下编辑脚本文件。若使用UltraEdit,默认打开的文件编码格式是简体中文GBK,最好切换成utf8格式。
设置方法如下:
高级 —- 设置 —- 文件处理 — DOS/Unix/Mac处理 ,将”新建文件的默认类型”改为”UNIX”即可。

 

转自:https://blog.csdn.net/u014770862/article/details/59095585

阅读更多
个人分类: linux
上一篇centos7 配置好nginx,访问失败
下一篇linux centos tomcat8配置apr模式
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭
关闭